package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.VuforiaImageType;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.VuforiaImageTypeMapper")
public interface VuforiaImageTypeMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(VuforiaImageType record);

    VuforiaImageType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(VuforiaImageType record);

    List<VuforiaImageType> queryAllVuforiaImageType(VuforiaImageType record);

    List<VuforiaImageType> queryVuforiaImageTypeByPage(Map<String, Object> parameter);

    int delete(VuforiaImageType record);

    VuforiaImageType queryVuforiaImageType(VuforiaImageType record);

    List<VuforiaImageType> query(VuforiaImageType record);
}

